de.dhbwstuttgart.syntaxtree.statement

## Class Block

- java.lang.Object
- - de.dhbwstuttgart.syntaxtree.SyntaxTreeNode
  - - de.dhbwstuttgart.syntaxtree.statement.Statement
    - - de.dhbwstuttgart.syntaxtree.statement.Block

All Implemented Interfaces:
  IItemWithOffset, Typeable

    public class Block
    extends Statement

### Field Summary

Fields
`protected static Logger` `inferencelog` Logger: log4j
`protected static Logger` `parserlog`
`Menge<Statement>` `statements`
`protected static Logger` `typinferenceLog`

### Fields inherited from class de.dhbwstuttgart.syntaxtree.statement.Statement

`offset, type`

### Fields inherited from class de.dhbwstuttgart.syntaxtree.SyntaxTreeNode

`parent`

### Constructor Summary

Constructors
Constructor and Description
`Block()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Menge<Statement>` `get_Statement()`
`Menge<SyntaxTreeNode>` `getChildren()`
`java.lang.String` `getDescription()` Eine Beschreibung/Name des SyntaxTree-Nodes
`java.lang.String` `getTypeInformation()`
`int` `getTypeLineNumber()`
`JavaCodeResult` `printJavaCode(ResultSet resultSet)`
`void` `set_Statement_Menge(Menge<Statement> v)`
`void` `set_Statement(Statement s)`
`java.lang.String` `toString()` Author: Martin PlÃ¯Â¿Â½micke
`ConstraintsSet` `TYPEStmt(TypeAssumptions assumptions)`
`void` `wandleRefTypeAttributes2GenericAttributes(Menge<Type> paralist, Menge<GenericTypeVar> genericMethodParameters)` In allen lokalen Variablendeklarationen die "falschen" RefTypes ersetzen

### Methods inherited from class de.dhbwstuttgart.syntaxtree.statement.Statement

`getOffset, getReturnType, getType, getVariableLength, setReturnType, setType`

### Methods inherited from class de.dhbwstuttgart.syntaxtree.SyntaxTreeNode

`addTypeInsertPoints, equals, getGTVDeclarationContext, getMatchingParentNode, getParent, getParentClass, parserPostProcessing, seesType`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### parserlog

    protected static Logger parserlog

#### statements

    public Menge<Statement> statements

#### inferencelog

    protected static Logger inferencelog

Logger: log4j

#### typinferenceLog

    protected static Logger typinferenceLog

### Constructor Detail

#### Block

    public Block()

### Method Detail

#### get_Statement

    public Menge<Statement> get_Statement()

#### set_Statement

    public void set_Statement(Statement s)

#### set_Statement_Menge

    public void set_Statement_Menge(Menge<Statement> v)

#### toString

    public java.lang.String toString()

Author: Martin PlÃ¯Â¿Â½micke

Overrides:
  `toString` in class `java.lang.Object`
Returns:

#### wandleRefTypeAttributes2GenericAttributes

    public void wandleRefTypeAttributes2GenericAttributes(Menge<Type> paralist,
                                                          Menge<GenericTypeVar> genericMethodParameters)

In allen lokalen Variablendeklarationen die "falschen" RefTypes ersetzen

Specified by:
  `wandleRefTypeAttributes2GenericAttributes` in class `Statement`
Parameters:
  `paralist` -
  `genericMethodParameters` -

#### TYPEStmt

    public ConstraintsSet TYPEStmt(TypeAssumptions assumptions)

Specified by:
  `TYPEStmt` in class `Statement`

#### getTypeInformation

    public java.lang.String getTypeInformation()

Overrides:
  `getTypeInformation` in class `Statement`
Returns:

#### getTypeLineNumber

    public int getTypeLineNumber()

#### printJavaCode

    public JavaCodeResult printJavaCode(ResultSet resultSet)

Specified by:
  `printJavaCode` in class `Statement`

#### getChildren

    public Menge<SyntaxTreeNode> getChildren()

Specified by:
  `getChildren` in class `SyntaxTreeNode`

#### getDescription

    public java.lang.String getDescription()

Description copied from class: `SyntaxTreeNode`
Eine Beschreibung/Name des SyntaxTree-Nodes

Overrides:
  `getDescription` in class `Statement`
Returns: